This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 42812 - mailman cannot run on virtual domains
mailman cannot run on virtual domains
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: mailman (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-30 04:40 EDT by Jerome Neuveglise
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-13 16:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerome Neuveglise 2001-05-30 04:40:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
I have setup a few virtual domains via the linuxconf tool.
Aliases for mailman lists are declared in /etc/vmail/aliases.domain.tld

Then all email sent to the list are not computed by mailman and the error 
messages in /var/log/maillog is :

Mailman mail-wrapper: Failure to exec script. WANTED gid 12, GOT gid 
65535. (Reconfigure to take 65535?)

How reproducible:
Always

Steps to Reproduce:
1. Install mailman RPM and then create a list
2. Copy the given aliases in /etc/vmail/aliases.domain.tld
3. Send a mail to thelist@domain.tld
4. See the error in the maillog file
	

Actual Results:  Mailman mail-wrapper: Failure to exec script. WANTED gid 
12, GOT gid 65535. (Reconfigure to take 65535?)

And of course nothing is processed by mailman.

Expected Results:  The email should have been sent to the list

Additional info:

mailman is working well on the main domain of the machine.
Comment 1 John Dennis 2003-03-13 16:18:50 EST
This bug is very old, current release is 2.1.1. This area of the code has been
reworked in the current release. 

Note You need to log in before you can comment on or make changes to this bug.